From 356ccc4b708f67efcd5494d18589e6ff54afb2cf Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 28 Jul 2023 12:11:45 +0800
Subject: [PATCH] Fl_cocoa.mm: fix Apple macro for PPC case

---
 src/Fl_cocoa.mm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git src/Fl_cocoa.mm src/Fl_cocoa.mm
index 8aef33780..579bbc56e 100644
--- src/Fl_cocoa.mm
+++ src/Fl_cocoa.mm
@@ -92,8 +92,8 @@ static BOOL through_drawRect = NO;
 static BOOL through_Fl_X_flush = NO;
 static BOOL views_use_CA = NO; // YES means views are layer-backed, as on macOS 10.14 when linked with SDK 10.14
 static int im_enabled = -1;
-// OS version-dependent pasteboard type names
-#if MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_6
+// OS version-dependent pasteboard type names. PPC still supported on 10.6 but lacks some 10.6 features.
+#if (MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_6) || defined(__POWERPC__)
 #define NSPasteboardTypeTIFF @"public.tiff"
 #define NSPasteboardTypePDF @"com.adobe.pdf"
 #define NSPasteboardTypeString @"public.utf8-plain-text"
-- 
2.41.0

